Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455571 - GFS2: [RFE] fiemap support for GFS2
Summary: GFS2: [RFE] fiemap support for GFS2
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: GFS-kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact:
URL:
Whiteboard:
Depends On: 242066
Blocks: 476626
TreeView+ depends on / blocked
 
Reported: 2008-07-16 10:38 UTC by Steve Whitehouse
Modified: 2009-01-06 08:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-06 08:26:43 UTC


Attachments (Terms of Use)
First guesstimated patch (deleted)
2008-10-06 13:46 UTC, Steve Whitehouse
no flags Details | Diff
Latest version of patch (deleted)
2008-10-14 14:01 UTC, Steve Whitehouse
no flags Details | Diff
My version of Eric's test program (deleted)
2008-10-14 14:05 UTC, Steve Whitehouse
no flags Details

Description Steve Whitehouse 2008-07-16 10:38:00 UTC
GFS2 should support fiemap directly.

Comment 1 Steve Whitehouse 2008-10-06 13:46:42 UTC
Created attachment 319557 [details]
First guesstimated patch

Based on the current proposed upstream patches. Not tested. Need to resolve locking order issue wrt the inode mutex. Currently this compiles, but is untested.

Comment 2 Steve Whitehouse 2008-10-14 14:01:33 UTC
Created attachment 320301 [details]
Latest version of patch

As posted for review by the powers that be.

Comment 3 Steve Whitehouse 2008-10-14 14:05:49 UTC
Created attachment 320303 [details]
My version of Eric's test program

I updated this from the version I found on the mailing lists so that it works with the latest FIEMAP impelmentation. Might need to copy some kernel headers to /usr/include/linux by hand as it looks like make headers_install doesn't do that.

Comment 4 Steve Whitehouse 2009-01-06 08:26:43 UTC
This hit Linus' kernel today.


Note You need to log in before you can comment on or make changes to this bug.